Index: LinearAlgebra/src/LinearAlgebra/BoxVector.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/BoxVector.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/BoxVector.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -56,5 +56,5 @@
 };
 
-ostream& operator<<(ostream& ost, const BoxVector& m)
+std::ostream& operator<<(std::ostream& ost, const BoxVector& m)
 {
   ost << "(";
Index: LinearAlgebra/src/LinearAlgebra/BoxVector.hpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/BoxVector.hpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/BoxVector.hpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -30,5 +30,5 @@
 };
 
-ostream & operator << (ostream& ost, const BoxVector &m);
+std::ostream & operator << (std::ostream& ost, const BoxVector &m);
 const BoxVector& operator*=(BoxVector& a, const double m);
 BoxVector const operator*(const BoxVector& a, const double m);
Index: LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -133,5 +133,5 @@
     do {
       double value;
-      parseline >> value >> ws;
+      parseline >> value >> std::ws;
       line_of_values.push_back(value);
     } while (parseline.good());
@@ -775,5 +775,5 @@
     do {
       double value;
-      parseline >> value >> ws;
+      parseline >> value >> std::ws;
       line_of_values.push_back(value);
     } while (parseline.good());
@@ -799,5 +799,5 @@
 //      +toString((int)inputstream.tellg())+" from start of stream." << std::endl;
 
-  return make_pair(rows, columns);
+  return std::make_pair(rows, columns);
 }
 
Index: LinearAlgebra/src/LinearAlgebra/Vector.hpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/Vector.hpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/Vector.hpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -1,6 +1,4 @@
 #ifndef VECTOR_HPP_
 #define VECTOR_HPP_
-
-using namespace std;
 
 /*********************************************** includes ***********************************/
@@ -117,5 +115,5 @@
 const extern Vector unitVec[NDIM];
 
-ostream & operator << (ostream& ost, const Vector &m);
+std::ostream & operator << (std::ostream& ost, const Vector &m);
 const Vector operator*(const double m, const Vector& a);
 
Index: LinearAlgebra/src/LinearAlgebra/VectorContent.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/VectorContent.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/VectorContent.cpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -121,5 +121,5 @@
     do {
       double value;
-      parseline >> value >> ws;
+      parseline >> value >> std::ws;
       line_of_values.push_back(value);
     } while (parseline.good());
@@ -430,5 +430,5 @@
 };
 
-ostream& operator<<(ostream& ost, const VectorContent& m)
+std::ostream& operator<<(std::ostream& ost, const VectorContent& m)
 {
   ost << "[";
@@ -568,5 +568,5 @@
     do {
       double value;
-      parseline >> value >> ws;
+      parseline >> value >> std::ws;
       line_of_values.push_back(value);
     } while (parseline.good());
Index: LinearAlgebra/src/LinearAlgebra/VectorSet.hpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/VectorSet.hpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/src/LinearAlgebra/VectorSet.hpp	(revision 955b91eef584d31f8d9958b67d1ea39b84eb1fb7)
@@ -57,5 +57,5 @@
   void translate(const Vector &translater){
     // this is needed to allow template lookup
-    transform(this->begin(),this->end(),this->begin(),std::bind1st(std::plus<Vector>(),translater));
+    std::transform(this->begin(),this->end(),this->begin(),std::bind1st(std::plus<Vector>(),translater));
   }
 
@@ -70,5 +70,5 @@
     std::vector<Vector> helper;
     helper.resize(this->size());
-    transform(this->begin(),this->end(),
+    std::transform(this->begin(),this->end(),
               helper.begin(),
               std::bind2nd(std::mem_fun_ref(&Vector::operator-),point));
@@ -88,5 +88,5 @@
     std::vector<double> helper;
     helper.resize(this->size());
-    transform(this->begin(),this->end(),
+    std::transform(this->begin(),this->end(),
               helper.begin(),
               std::bind2nd(std::mem_fun_ref(&Vector::DistanceSquared),point));
